@import "tailwindcss";

:root {
  --background: #ffffff;
  --foreground: #0f172a;

  --primary: #0f172a;
  --secondary: #1e293b;

  --accent: #fbbf24;
  --accent-hover: #f59e0b;

  --muted: #64748b;
  --border: #e2e8f0;

  --section-light: #f8fafc;
  --footer: #020617;
}

html {
  scroll-behavior: smooth;
}

body {
  margin: 0;
  padding: 0;
  overflow-x: hidden;
  background: var(--background);
  color: var(--foreground);
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
}

::selection {
  background: var(--accent);
  color: #000;
}

::-webkit-scrollbar {
  width: 8px;
}

::-webkit-scrollbar-thumb {
  background: var(--accent);
  border-radius: 999px;
}

::-webkit-scrollbar-track {
  background: var(--secondary);
}

@theme {
  --color-accent: #fbbf24;
  --color-accent-hover: #f59e0b;
  --color-footer: #020617;
  --color-primary: #0f172a;
  --color-secondary: #1e293b;
  --color-muted: #64748b;
  --color-border: #e2e8f0;
  --color-section-light: #f8fafc;
}